BLUEBOXLib version 8.52.0 Release Notes
Copyright (C) 2010-2018 Soltec Soluzioni Tecnologiche Srl

This release contains the following components:

* x86/BLUEBOXLib.dll
* x86/BLUEBOXLib.lib
* x64/BLUEBOXLib.dll
* x64/BLUEBOXLib.lib
* BLUEBOXLib.h
* BLUEBOXLib.def
* ReleaseNotes.txt (this file)

Release Date
------------

	BLUEBOXLib version 8.52.0 - 22/10/18.

Revision History
----------------

	Version 8.52.0 - 22/10/18
	
		New features / Enhancements
		---------------------------
		Added custom readers support.

	Version 8.51.1 - 16/10/18
	
		New features / Enhancements
		---------------------------
		Fixed bug in BLUEBOX PHI22 LF/HF/NFC reader identification.
		
	Version 8.51.0 - 12/10/18
	
		New features / Enhancements
		---------------------------
		Added the BLUEBOX PHI22 LF/HF/NFC reader support.
		
		Added the BLUBEOX M30 UHF (CANopen protocol support) reader support.

	Version 8.50.0 - 11/06/18
	
		New features / Enhancements
		---------------------------
		Added the BLUEBOX RTU UHF 500mW Single Channel reader support.

	Version 8.49.1 - 16/04/18
	
		Corrections
		-----------
		Fixed bug in commands reply error status (now it is timeout error) in 
		case of no answer from the connected device.

	Version 8.49.0 - 13/03/18
	
		New features / Enhancements
		---------------------------
		Added the BLUEBOX CX UHF 2W LONG RANGE DUAL CHANNEL reader support.
		
		Added the BLUEBOX_LockMultiPage_ISO15693 function.
		
		Corrections
		-----------
		Added a 10ms sleep after rx in firmware upgrade procedure through 
		RS232/RS485 interface.
		
		Fixed the BLUEBOX_ReadMultiPage_ISO15693 function behavior.
		
		Fixed the BLUEBOX_WriteMultiPage_ISO15693 function behavior.
		
		Fixed the BLUEBOX_Write_HITAGS function command reply check.

	Version 8.48.0 - 30/01/18
	
		New features / Enhancements
		---------------------------
		Added custom readers support.

	Version 8.47.0 - 15/01/18
	
		New features / Enhancements
		---------------------------
		Added the Impinj Monza 4QT tag management on BLUEBOX CX UHF and CX E/EL 
		UHF readers. The affected functions are:
		- BLUEBOX_QTReadCommand_MONZA_4QT
		- BLUEBOX_QTWriteCommand_MONZA_4QT
		
		Added the RFMicron Magnus S2 and S3 tags management on BLUEBOX CX UHF
		and CX E/EL UHF readers. The affected functions are:
		- BLUEBOX_ReadSensorCode_MagnusS2
		- BLUEBOX_ReadSensorCode_MagnusS3
		- BLUEBOX_ReadOnChipRSSI_MagnusS2
		- BLUEBOX_ReadOnChipRSSI_MagnusS3
		- BLUEBOX_ReadTemperatureCode_MagnusS3
		- BLUEBOX_ReadTemperature_MagnusS3

	Version 8.46.0 - 20/09/17
	
		New features / Enhancements
		---------------------------
		Added the BLUEBOX GEN2 ADVANT with MODBUS/TCP and PROFINET interface readers
		management.

	Version 8.45.0 - 01/08/17
	
		New features / Enhancements
		---------------------------
		Added the BLUEBOX GEN2 DESKTOP NFC HF readers management.
		
		Added the IBM JCOP, JCOP31 and JCOP41 tags management. The affected 
		enumerations are:
		- BLUEBOX_TagType (added BLUEBOX_JCOP, BLUEBOX_JCOP31 and 
		BLUEBOX_JCOP41 enumarators);
		the added definitions are:
		- BLUEBOX_JCOP_UID_SIZE;
		- BLUEBOX_JCOP_UID31_SIZE;
		- BLUEBOX_JCOP_UID41_SIZE;
		the affected funtions are:
		- BLUEBOX_DataRequest.
		- BLUEBOX_QueueRequest.
		- BLUEBOX_GetNotification.
		- BLUEBOX_Inventory_ISO14443A.
		
		Added the HITAG 2 tag management on dual channel LF readers. The affected 
		funtions are:
		- BLUEBOX_ReadID_HITAG2.
		- BLUEBOX_Write_HITAG2.
		- BLUEBOX_Login_HITAG2.
		- BLUEBOX_ReadPage_HITAG2.
		- BLUEBOX_WritePage_HITAG2.
		
		Corrections
		-----------
		Fixed the validity check in all the ICODE SLI-S functions.

	Version 8.44.0 - 19/07/17
	
		New features / Enhancements
		---------------------------
		Added the HITAG 2 tag. The affected enumerations are:
		- BLUEBOX_TagType (added BLUEBOX_HITAG_2 enumarator);
		the added definitions are:
		- BLUEBOX_HITAG2_ID_SIZE;
		- BLUEBOX_HITAG2_PAGE_SIZE;
		- BLUEBOX_HITAG2_PASSWORD_SIZE;
		the added funtions are:
		- BLUEBOX_ReadID_HITAG2.
		- BLUEBOX_Write_HITAG2.
		- BLUEBOX_Login_HITAG2.
		- BLUEBOX_ReadPage_HITAG2.
		- BLUEBOX_WritePage_HITAG2.
		
		Corrections
		-----------
		Fixed bug in BLUEBOX_ReadID_HITAG1 and BLUEBOX_ReadID_HITAGS functions
		in tag type check and validation.
		
	Version 8.43.0 - 10/07/17
	
		New features / Enhancements
		---------------------------
		Added custom readers management.
		
		Corrections
		-----------
		Fixed the BLUEBOX_ReadConfiguration and BLUEBOX_WriteConfiguration page
		index selection management.

	Version 8.42.1 - 15/05/17
	
		Corrections
		-----------
		Removed the check of password different from zero in function
		BLUEBOX_Lock_ISO18K6C.

	Version 8.42.0 - 26/09/16
	
		New features / Enhancements
		---------------------------
		Added the BLUEBOX M30 UHF readers management.

	Version 8.41.0 - 29/08/16
	
		New features / Enhancements
		---------------------------
		Added the NTAG213, NTAG215 and NTAG216 tags	management in BLUEBOX 
		DESKTOP HF, BLUEBOX OEM HF and all the HF Generation 2 readers. The 
		added definitions are:
		- BLUEBOX_NTAG21x_UID_SIZE;
		- BLUEBOX_NTAG21x_BLOCK_SIZE;
		the added funtions are:
		- BLUEBOX_ReadBlock_NTAG213.
		- BLUEBOX_WriteBlock_NTAG213.
		- BLUEBOX_ReadBlock_NTAG215.
		- BLUEBOX_WriteBlock_NTAG215.
		- BLUEBOX_ReadBlock_NTAG216.
		- BLUEBOX_WriteBlock_NTAG216.				

	Version 8.40.0 - 04/04/16
	
		New features / Enhancements
		---------------------------
		Added the BLUEBOX OEM NFC HF readers management. The added definitions
		are:
		- BLUEBOX_MIFARE_7BUID_2k_BLOCK_SIZE
		- BLUEBOX_MIFARE_7BUID_4k_BLOCK_SIZE
		the added funtions are:		
		- BLUEBOX_GetSystemInfo_ISO15693		
		- BLUEBOX_ReadBlock_MIFARE_2k_7BUID		
		- BLUEBOX_WriteBlock_MIFARE_2k_7BUID		
		- BLUEBOX_ReadBlock_MIFARE_4k_7BUID		
		- BLUEBOX_WriteBlock_MIFARE_4k_7BUID

	Version 8.39.0 - 15/09/15
	
		New features / Enhancements
		---------------------------
		Added custom readers management.
		
		Corrections
		-----------		
		Fixed bug in the BLUEBOX_QueueRequest function with BLUEBOX CX E UHF 
		readers.

	Version 8.38.0 - 22/07/15
	
		New features / Enhancements
		---------------------------
		Added custom readers management.

	Version 8.37.0 - 15/07/15
	
		New features / Enhancements
		---------------------------
		Added custom readers management.

	Version 8.36.0 - 03/07/15
	
		New features / Enhancements
		---------------------------
		Added custom readers management.

	Version 8.35.1 - 26/06/15
	
		Corrections
		-----------
		Fixed bug in BLUEBOX_Inventory_ISO18K6C_with_RSSI function with BLUEBOX 
		Generation 2 ADVANT/BASIC/DESKTOP readers which prevents the execution
		of the function itself.

	Version 8.35.0 - 14/04/15
	
		New features / Enhancements
		---------------------------
		Added custom readers management.

	Version 8.34.1 - 13/04/15
	
		Corrections
		-----------
		Fixed bug in BLUEBOX_GetTemperature function with BLUEBOX Generation 2 
		ADVANT readers.

	Version 8.34.0 - 30/03/15
	
		New features / Enhancements
		---------------------------
		Added custom readers management.

	Version 8.33.0 - 16/02/15
	
		New features / Enhancements
		---------------------------
		Added the BLUEBOX CX E UHF MID RANGE SINGLE CHANNEL readers management.
		
		Added custom readers management.
		
		Added the BLUEBOX_ProgramEPC_ISO18K6C function in BLUEBOX OEM UHF 
		readers.		

	Version 8.32.0 - 10/02/15
	
		New features / Enhancements
		---------------------------
		Added the BLUEBOX_ProgramEPC_ISO18K6C function in BLUEBOX CX UHF 
		readers.

	Version 8.31.1 - 15/12/14
	
		Corrections
		-----------
		Fixed bug in BLUEBOX OEM UHF MID RANGE SINGLE CHANNEL readers write
		ISO 18000-6C tags function.
		
	Version 8.31.0 - 27/11/14
	
		New features / Enhancements
		---------------------------
		Added BLUEBOX OEM UHF MID RANGE SINGLE CHANNEL readers management.
		
		Added custom readers management.		

	Version 8.30.0 - 30/10/14
	
		New features / Enhancements
		---------------------------
		Added custom readers management.
		
		Added a fixed retransmissions number of 3 with TCP connection.

	Version 8.29.0 - 06/08/14
	
		New features / Enhancements
		---------------------------
		Added BLUEBOX OEM UHF LONG RANGE QUAD CHANNEL readers management.
		
		Added BLUEBOX Generation 2 ADVANT UHF LONG RANGE QUAD CHANNEL readers
		management.

	Version 8.28.0 - 14/07/14
	
		New features / Enhancements
		---------------------------
		Added custom readers management.

	Version 8.27.0 - 08/07/14
	
		New features / Enhancements
		---------------------------
		Added custom readers management.
		
		Added the BLUEBOX_BlockWrite_ISO18K6C function in BLUEBOX CX UHF 
		readers.

	Version 8.26.0 - 05/06/14
	
		New features / Enhancements
		---------------------------
		Added custom readers management.

	Version 8.25.0 - 16/05/14
	
		New features / Enhancements
		---------------------------
		Added tmeperature reading of the BLUEBOX CX readers.

	Version 8.24.0 - 06/02/14
	
		New features / Enhancements
		---------------------------
		Added custom readers management.

	Version 8.23.0 - 17/12/13
	
		New features / Enhancements
		---------------------------
		Added custom readers management.

	Version 8.22.1 - 25/11/13
	
		Corrections
		-----------
		Fixed bug in BLUEBOX_Inventory_ISO18K6C_with_RSSI when the antenna info
		flag is enabled.
		
	Version 8.22.0 - 12/11/13
	
		New features / Enhancements
		---------------------------
		Added the BLUEBOX CX Family UHF readers management.
		
		Added custom readers management.
		
		Replaced the BLUEBOX INDUSTRIAL UHF LONG RANGE DUAL CHANNEL reader
		with the BLUEBOX CX UHF LONG RANGE DUAL CHANNEL reader.

	Version 8.21.0 - 08/10/13
	
		New features / Enhancements
		---------------------------
		Added the BLUEBOX OEM UHF reader management.

	Version 8.20.0 - 04/10/13
	
		New features / Enhancements
		---------------------------
		Added BLUEBOX_GetDateTime function to get the date / time of the
		reader.
		
		Added the BLUEBOX_ReadSerialNumber to get the serial number of the
		reader.
			
		Corrections
		-----------
		Fixed bug in memory management in BLUEBOX_GetNotification function.
		
		Fixed bug in temperature reading in BLUEBOX_GetTemperature function.

	Version 8.19.0 - 31/07/13
	
		New features / Enhancements
		---------------------------
		Added the BLUEBOX INDUSTRIAL UHF LONG RANGE DUAL CHANNEL reader
		management.
		
		Added BLUEBOX_ReadMACAddress function to get the MAC address of the
		reader.
		
		Added BLUEBOX_SelectiveGetReflectedPower to the reflected power of an
		antenna of BLUEBOX INDUSTRIAL UHF LONG RANGE DUAL CHANNEL reader.
		
		Added BLUEBOX_SelectiveRfOnOff to activate / deactivate the RF field of
		an antenna of BLUEBOX INDUSTRIAL UHF LONG RANGE DUAL CHANNEL reader.
		
		Added the BLUEBOX_Inventory_ISO18K6C_with_RSSI to inventory ISO 18000-6C
		tags with the RSSI info.
		
		Corrections
		-----------
		Fixed software crash problem in Data Request and Inventory commands with
		long answers.
		
		Fixed error in reflected power calculation in BLUEBOX_GetReflectedPower
		function.

	Version 8.18.1 - 05/07/13
	
		Corrections
		-----------
		Fixed bug in BLUEBOX UHF LONG RANGE QUAD CHANNEL reader identification 
		and management when fw major version is bigger than 2.

	Version 8.18.0 - 24/06/13
	
		New features / Enhancements
		---------------------------	
		Added the MIFARE Mini, MIFARE Desfire, MIFARE 7-byte-UID 2k, MIFARE 
		7-byte-UID 4k, MIFARE Plus 2k, MIFARE Plus 4k, SRI 512, JCos tags 
		management in BLUEBOX DESKTOP HF, BLUEBOX OEM HF, BLUEBOX INDUSTRIAL 
		HF and all the HF Generation 2 readers. The affected enumerations are:
		- BLUEBOX_TagType (added BLUEBOX_MIFARE_MINI, BLUEBOX_MIFARE_DESFIRE,
		BLUEBOX_MIFARE_7BUID_2k, BLUEBOX_MIFARE_7BUID_4k, BLUEBOX_MIFARE_PLUS_2k,
		BLUEBOX_MIFARE_PLUS_4k, BLUEBOX_SRI512, BLUEBOX_JCOS and BLUEBOX_PICOPASS 
		enumarators);
		the added definitions are:
		- BLUEBOX_MIFARE_MINI_UID_SIZE;
		- BLUEBOX_MIFARE_DESFIRE_UID_SIZE;
		- BLUEBOX_MIFARE_7BUID_2k_UID_SIZE;
		- BLUEBOX_MIFARE_7BUID_4k_UID_SIZE;
		- BLUEBOX_MIFARE_PLUS_2k_UID_SIZE;
		- BLUEBOX_MIFARE_PLUS_4k_UID_SIZE;
		- BLUEBOX_SRI512_UID_SIZE;
		- BLUEBOX_JCOS_UID_SIZE;
		- BLUEBOX_PICOPASS_UID_SIZE;
		the added funtions are:
		- BLUEBOX_Inventory_PICOPASS.

	Version 8.17.0 - 03/06/13
	
		New features / Enhancements
		---------------------------	
		Added the BLUEBOX Generation 2 M30 LF and HF reader management.

	Version 8.16.0 - 20/05/13
	
		New features / Enhancements
		---------------------------	
		Added the BLUEBOX_ReadMultiPage_ISO15693 to manage a multi
		page read on ISO 15693 tags and BLUEBOX_WriteMultiPage_ISO15693
		to manage a multi page write on ISO 15693 tags.
		
		Extended the maximum ISO 18000-6C tags UID size to 66 bytes.
		
		Added the BLUEBOX OEM UHF reader management.

	Version 8.15.0 - 29/04/13
	
		New features / Enhancements
		---------------------------	
		Added some custom readers management.
		
		Added the BLUEBOX_GetTemperature function to read the internal
		temperature of all the BLUEBOX Generation 2 INDUSTRIAL readers.
		
		Added the management of the HITAG 1 tags in BLUEBOX DESKTOP LF,
		BLUEBOX OEM LF, BLUEBOX INDUSTRIAL LF and Generation 2 readers.
		The affected enumerations are:
		- BLUEBOX_TagType (added BLUEBOX_HITAG_1 enumarator);
		the added definitions are:
		- BLUEBOX_HITAG1_ID_SIZE;
		- BLUEBOX_HITAG1_PAGE_SIZE;
		the added funtions are:
		- BLUEBOX_ReadID_HITAG1;
		- BLUEBOX_ReadPage_HITAG1;
		- BLUEBOX_WritePage_HITAG1.

	Version 8.14.0 - 12/03/13
	
		New features / Enhancements
		---------------------------	
		Added some custom readers management.
		
		Added the BLUEBOX_SetDateTime function.

	Version 8.13.0 - 26/02/13
	
		New features / Enhancements
		---------------------------	
		Added some custom readers management.

	Version 8.12.0 - 13/02/13
	
		New features / Enhancements
		---------------------------	
		Added the BLUEBOX Generation 2 INDUSTRIAL M30 HF reader management.
		
		Added some custom readers management.
		
	Version 8.11.0 - 19/12/12
	
		New features / Enhancements
		---------------------------	
		Added some custom readers management.
		
		Added the BLUEBOX_GetReflectedPower to get antenna info on UHF
		readers (the affected readers are BLUEBOX INDUSTRIAL UHF MID RANGE
		SINGLE CHANNEL).
		
		Corrections
		-----------
		Fixed bug in firmware upgrade procedure.

	Version 8.10.0 - 06/12/12
	
		New features / Enhancements
		---------------------------	
		Added some custom readers management.

	Version 8.9.0 - 03/12/12
	
		New features / Enhancements
		---------------------------	
		Added the BLUEBOX_GetReflectedPower to get antenna info on UHF
		readers (the affected readers are BLUEBOX Generation 2 INDUSTRIAL UHF
		MID RANGE SINGLE CHANNEL, BLUEBOX Generation 2 BASIC UHF SHORT RANGE
		SINGLE CHANNEL, BLUEBOX Generation 2 BASIC UHF MID RANGE SINGLE CHANNEL
		CHANNEL, and BLUEBOX Generation 2 DESKTOP UHF).
		
		Corrections
		-----------
		Fixed bug in BLUEBOX_GenericCommand when the reply is ACK or NAK.

	Version 8.8.0 - 12/10/12
	
		New features / Enhancements
		---------------------------	
		Added the management of the BLUEBOX Generation 2 INDUSTRIAL LF SHORT
		RANGE DUAL CHANNEL, INDUSTRIAL HF SHORT RANGE DUAL CHANNEL, BASIC LF
		SHORT RANGE SINGLE CHANNEL, BASIC HF SHORT RANGE SINGLE CHANNEL, BASIC
		UHF SHORT RANGE SINGLE CHANNEL, BASIC UHF MID RANGE SINGLE CHANNEL,
		DESKTOP LF, DESKTOP HF and DESKTOP UHF readers management.
		
		Added the BLUEBOX_Reset command to force a reader reset.
		
		Added BLUEBOX_AUXILIARY_2_READER enumarator in BLUEBOX_Reader enum to
		manage a second auxiliary reader.
		
		Corrections
		-----------
		Fixed bug in reader antenna identification in BLUEBOX_DataRequest,
		BLUEBOX_QueueRequest and BLUEBOX_Inventory_ISO18K6C functions in
		BLUEBOX Generation 2 INDUSTRIAL UHF MID RANGE SINGLE CHANNEL reader.

	Version 8.7.0 - 13/08/12
	
		New features / Enhancements
		---------------------------	
		Added the management of the BLUEBOX Generation 2 INDUSTRIAL LF SHORT
		RANGE SINGLE CHANNEL, INDUSTRIAL HF SHORT RANGE SINGLE CHANNEL, INDUSTRIAL
		HF MID RANGE SINGLE CHANNEL and INDUSTRIAL UHF SHORT RANGE SINGLE CHANNEL
		readers	management.
		
	Version 8.6.0 - 01/08/12
	
		New features / Enhancements
		---------------------------	
		Added the management of the BLUEBOX OEM LF rev. B and rev. D readers
		management.
		
		Added BLUEBOX_ReadConfiguration, BLUEBOX_WriteConfiguration and
		BLUEBOX_DefaultConfiguration functions to manage the configuration of the
		readers except of the general parameters.

	Version 8.5.0 - 28/05/12
	
		New features / Enhancements
		---------------------------	
		Updated the BLUEBOX INDUSTRIAL UHF LONG RANGE QUAD CHANNEL readers 
		management with new reader changes.
		
	Version 8.4.0 - 07/03/12
	
		New features / Enhancements
		---------------------------	
		Added some custom readers management.
		
		Corrections
		-----------
		Fixed bug in ISO 18000-6C tags management in UHF readers. The affected
		functions are:
		- BLUEBOX_Inventory_ISO18K6C;
		- BLUEBOX_Read_ISO18K6C;
		- BLUEBOX_Write_ISO18K6C;
		- BLUEBOX_Lock_ISO18K6C;
		- BLUEBOX_Kill_ISO18K6C.		

	Version 8.3.0 - 28/02/12
	
		New features / Enhancements
		---------------------------	
		Added some custom readers management.

	Version 8.2.0 - 22/02/12
	
		New features / Enhancements
		---------------------------
		Added the ICODE SLI-S tag management in BLUEBOX DESKTOP HF and BLUEBOX
		OEM HF readers. The affected enumarations are:
		- BLUEBOX_TagType (added BLUEBOX_ICODE_SLI_S enumarator);
		the added enumarations are:
		- BLUEBOX_ICODE_SLI_S_PasswordPermission;
		- BLUEBOX_ICODE_SLI_S_ProtectionStatus;
		the added definitions are:
		- BLUEBOX_ICODE_SLI_S_RND_SIZE;
		- BLUEBOX_ICODE_SLI_S_PWD_SIZE;
		the added structures are:
		- BLUEBOX_ICODE_SLI_S_BlockProtectionStatus;
		the affected functions are:
		- BLUEBOX_DataRequest;
		- BLUEBOX_QueueRequest;
		- BLUEBOX_GetNotification;
		the added functions are:
		- BLUEBOX_GetRandomNumber_ICODE_SLI_S;
		- BLUEBOX_SetPassword_ICODE_SLI_S;
		- BLUEBOX_WritePassword_ICODE_SLI_S;
		- BLUEBOX_LockPassword_ICODE_SLI_S;
		- BLUEBOX_64BitPasswordProtection_ICODE_SLI_S;
		- BLUEBOX_ProtectPage_ICODE_SLI_S;
		- BLUEBOX_LockPageProtectionCondition_ICODE_SLI_S;
		- BLUEBOX_GetMultipleBlockProtectionStatus_ICODE_SLI_S;
		- BLUEBOX_Destroy_SLI_S_ICODE_SLI_S;
		- BLUEBOX_EnablePrivacy_ICODE_SLI_S.
		
		Added some custom readers management.

	Version 8.1.0 - 26/01/12
	
		New features / Enhancements
		---------------------------
		Added some custom readers management.	

	Version 8.0.0 - 18/01/12
	
		New features / Enhancements
		---------------------------
		Changed the ID management in BLUEBOX_Tag, BLUEBOX_Notify and
		BLUEBOX_Registration structs from static array to dynamic array. The
		affected definitions are:
		- BLUEBOX_MAX_ID_LENGTH
		The affected structs are:
		- BLUEBOX_Tag
		- BLUEBOX_Notify
		- BLUEBOX_Registration
		The affected functions are:
		- BLUEBOX_DataRequest
		- BLUEBOX_QueueRequest
		- BLUEBOX_FreeTagsMemory
		- BLUEBOX_GetNotification
		- BLUEBOX_FreeNotifyMemory
		- BLUEBOX_Inventory_ISO15693
		- BLUEBOX_Inventory_ISO14443A
		- BLUEBOX_Inventory_ISO14443B
		- BLUEBOX_Inventory_ISO18K6B
		- BLUEBOX_Inventory_ISO18K6C
		- BLUEBOX_ReadOlderRegistration
		- BLUEBOX_ReadPreviousRegistration		
		
	Version 7.2.1 - 03/11/11
		
		Corrections
		-----------
		Fixed bug in data request command execution. The affected readers are:
		- BLUEBOX INDUSTRIAL HF SHORT RANGE DUAL CHANNEL.
		The affected functions are:
		- BLUEBOX_DataRequest.
		
		Fixed bug in spontaneous message management. The affected readers are:
		- BLUEBOX INDUSTRIAL LF SHORT RANGE DUAL CHANNEL.
		The affected functions are:
		- BLUEBOX_GetNotification

	Version 7.2.0 - 31/10/11

		New features / Enhancements
		---------------------------
		Added BLUEBOX_GenericCommand function to send a generic command using
		the BLUEBOX protocol rules.
			
		Corrections
		-----------
		Fixed bug in RS232 management when using some USB-To-Serial converters
		or Virtual COM drivers which doesn't support the RTS signal mangement.
		
		Fixed bug in ISO 15693 inventory command in dual channel readers. The
		affected functions are:
		- BLUEBOX_Inventory_ISO15693.

	Version 7.1.0 - 24/10/11

		New features / Enhancements
		---------------------------
		Added some custom readers management.
		
		Extended the BLUEBOX_Input enumeration to support the 'no input' case.
		
		Increased the maximum tag's ID length supported (BLUEBOX_MAX_ID_LENGTH
		definition).
		
		Changes to BLUEBOX_Tag and BLUEBOX_Notify structures.		

	Version 7.0.0 - 09/09/11

		New features / Enhancements
		---------------------------
		Added x64 support.
		
		Added the possibility to manage custom readers with Bluebox protocol.
		The affected functions are:
		- BLUEBOX_GetDevice
		- BLUEBOX_SetDevice
		
		Corrections
		-----------
		Fixed bug in notification events on RS485 interface.

	Version 6.2.1 - 20/07/11

		Corrections
		-----------
		Fixed bug in memory management which cause an error in serial
		communication.

	Version 6.2.0 - 07/07/11

		New features / Enhancements
		---------------------------
		Added the management of TITAN tags on the antenna nr. 2. The affected 
		readers are:
		- BLUEBOX INDUSTRIAL LF SHORT RANGE DUAL CHANNEL
		The affected functions are:
		- BLUEBOX_ReadID_TITAN
		- BLUEBOX_Reset_TITAN
		- BLUEBOX_Login_TITAN
		- BLUEBOX_WritePassword_TITAN
		- BLUEBOX_SelectiveRead_TITAN
		- BLUEBOX_SelectiveWrite_TITAN

		Corrections
		-----------
		Fixed bug in TITAN management which cause an error in selective read
		and write tag's memory when the number of words to read/write is 
		greater than 24. The affetcted functions are:
		- BLUEBOX_SelectiveRead_TITAN
		- BLUEBOX_SelectiveWrite_TITAN

	Version 6.1.0 - 17/01/11

		New features / Enhancements
		---------------------------
		Added the management of ISO 18000-6C (EPC C1G2) tags with a variable
		EPC field size (max 16 bytes). The affected readers are:
		- BLUEBOX UHF SHORT RANGE SINGLE CHANNEL
		- BLUEBOX UHF LONG RANGE QUAD CHANNEL
		The affected functions are:
		- BLUEBOX_DataRequest
		- BLUEBOX_QueueRequest
		- BLUEBOX_GetNotification
		- BLUEBOX_Inventory_ISO18K6C
		- BLUEBOX_Read_ISO18K6C
		- BLUEBOX_Write_ISO18K6C
		- BLUEBOX_Lock_ISO18K6C
		- BLUEBOX_Kill_ISO18K6C
		The affected definitions/enumarations/structures are:
		- BLUEBOX_ISO18K6C_UID_SIZE

	Version 6.0.0 - 05/10/10

		New features / Enhancements
		---------------------------
		Deleted the Antenna parameter from BLUEBOX_RfOnOff function.

		Deleted the BLUEBOX_GetUpgradeStatus function.

		Added the BLUEBOX PORTAL UHF reader management. The affected functions
		are:
		- BLUEBOX_SetDevice
		- BLUEBOX_GetDevice
		- BLUEBOX_GetFwRelease
		- BLUEBOX_ReadParameters
		- BLUEBOX_WriteParameters
		- BLUEBOX_DefaultParameters
		- BLUEBOX_GetReaderStatus
		- BLUEBOX_ReadRfParameters
		- BLUEBOX_WriteRfParameters
		The functions added	are:
		- BLUEBOX_ReadNumberOfRegistrations
		- BLUEBOX_ReadOlderRegistration
		- BLUEBOX_CancelOlderRegistration
		- BLUEBOX_CancelAllRegistrations
		- BLUEBOX_ReadPreviousRegistration
		The affected definitions/enumarations/structures are:
		- BLUEBOX_ErrorCodes
		The definitions/enumarations/structures added are:
		- BLUEBOX_Input
		- BLUEBOX_Registration

		Corrections
		-----------
		Fixed bug in TITAN tags management as they are handled only by antenna
		nr. 1. The affected functions are:
		- BLUEBOX_ReadID_TITAN
		- BLUEBOX_Reset_TITAN
		- BLUEBOX_Login_TITAN
		- BLUEBOX_WritePassword_TITAN
		- BLUEBOX_SelectiveRead_TITAN
		- BLUEBOX_SelectiveWrite_TITAN
		The affected readers are:
		- BLUEBOX INDUSTRIAL LF SHORT RANGE DUAL CHANNEL 

		Fixed bug in RS232/RS485 connection opening when the com port number 
		is greater than 9 which prevents the connection opening.

		Fixed bug in RS232/RS485 communication which prevents the communication 
		when using a USB-To-RS232 with USB 1.1 converter on Windows Vista/7.

	Version 5.1.0 - 05/08/10

		New features / Enhancements
		---------------------------
		Added the EM4305 (BLUEBOX_ReadID_EM4305, BLUEBOX_Write_EM4305) and 
		T5557 (BLUEBOX_ReadID_T5557, BLUEBOX_Write_T5557) tag managemente in
		BLUEBOX INDUSTRIAL LF SHORT RANGE SINGLE/DUAL CHANNEL, BLUEBOX OEM LF
		and BLUEBOX DESKTOP LF.

		Corrections
		-----------
		Fixed bug in BLUEBOX_ReadID_Q5 in reply error management which prevent
		the tag error code management.

		Fixed bug in reader with Profibus interface identification which prevents
		prevents the identification of those readers. 

	Version 5.0.0 - 02/08/10

		New features / Enhancements
		---------------------------
		Changed the BLUEBOX_GetDevice and BLUEBOX_SetDevice function parameters
		by adding the firmware version major and minor numbers to manage
		different features in different firmware versions.

	Version 4.0.0 - 07/07/10

		New features / Enhancements
		---------------------------
		Added the BLUEBOX HF SHORT RANGE DUAL CHANNEL reader management.

		Added a debug library to make the application, based on the library,
		developing easier. It shows a debug console with a communication from
		PC to reader log, also prints a log file named 'log.txt' in the same
		folder of the library files.

		Changes in BLUEBOX_SetChannel function parameters strings, added the
		communication timeout of Settings string with all interfaces.

		Changes in BLUEBOX_GetFwRelease to allow the auxiliary reader's fw
		version reading.

		Changes in configuration functions (BLUEBOX_ReadParameters,
		BLUEBOX_WriteParameters, BLUEBOX_ReadRfParameters and
		BLUEBOX_WriteRfParameters) parameters to make them more flexible. Also 
		deleted all the enumarations and structures related to them.

		Changes in BLUEBOX_GetReaderStatus function parameters to make it more
		flexible. Also deleted all the enumarations and structures related to
		it.

		Changed the BLUEBOX_UpgReader to BLUEBOX_Reader and also changed its
		items names.

		Added the BLUEBOX_TagError error code in BLUEBOX_Inventory_ISO15693,
		BLUEBOX_Inventory_ISO14443A and BLUEBOX_Inventory_ISO14443B functions.

		Corrections
		-----------
		Fixed bug in BLUEBOX_GetNotification with BLUEBOX LF SHORT RANGE DUAL
		CHANNEL readers that inhibits a correct tag notification.

	Version 3.0.0 - 18/06/10

		New features / Enhancements
		---------------------------
		Added the BLUEBOX HF LONG RANGE QUAD CHANNEL reader management.

		Added the BLUEBOX UHF MID RANGE SINGLE CHANNEL reader management.

		Added the BLUEBOX OEM HF E reader management.

		Added the ISO 15693 AFI (Apllication Family Identifier) management in
		BLUEBOX HF MID RANGE SINGLE CHANNEL reader.

		Added the 'spontaneous' message notifications by adding the functions:
		- BLUEBOX_AllocateNotifyChannel
		- BLUEBOX_DeallocateNotifyChannel
		- BLUEBOX_GetNotification
		and the error codes:
		- BLUEBOX_AllocationError
		and the structs:
		- BLUEBOX_Notify

		Added functions to manage the device type:
		- BLUEBOX_SetDevice
		- BLUEBOX_GetDevice

		Improved BLUEBOX_Close and BLUEBOX_End functions. The BLUEBOX_End
		function implicity calls the BLUEBOX_Close function.

		Changes in BLUEBOX_SetChannel function parameters strings, added the
		retransmission numbers at the end of Settings string with RS232/RS485
		interface.

		Renamed the BLUEBOXErrorCodes and BLUEBOXHandle definitions in 
		BLUEBOX_ErrorCodes and BLUEBOX_Handle to uniform the code wiring rules.

		Added functions to upgrade reader's firmware:
		- BLUEBOX_FwUpgrade
		- BLUEBOX_GetUpgradeStatus
		and the error codes:
		- BLUEBOX_FileError
		and the enum:
		- BLUEBOX_UpgReader

	Version 2.0.1 - 07/05/10

		Corrections
		-----------
		Fixed bug in opening new connection with the reader.

	Version 2.0.0 - 05/05/10

		New features / Enhancements
		---------------------------
		Added BLUEBOX LF LONG RANGE reader management.

		Added BLUEBOX HF MID/LONG RANGE reader management.

		Added BLUEBOX UHF SHORT/LONG RANGE reader management.

		Added BLUEBOX ACTIVE reader management.

		Added definitions, functions, enums and structs to manage the above
		readers.

		Added RS485 interface management.

		Changes in BLUEBOX_SetChannel function parameters.

		Changes in nibble coding and gain enums definitions (ref. LF readers).

		Changes in BLUEBOX_GeneralParameters struct definition to manage the
		new readers.

		Changes in BLUEBOX_TagType enum definition to manages the UHF and
		ACTIVE tags.

		Changes in MIFARE key enum definitions (ref. HF readers).

		Corrections
		-----------
		Changes in BLUEBOX_ReaderStatus struct definition (deleted the Line 
		flag in BLUEBOX INDUSTRIAL readers definition).		

	Version 1.0.0 - 30/03/10

		Initial Release.

